ApiBooking Pages

List Booking Pages

GET
/public/v1/booking-pages

Returns paginated booking_pages. Supported sort fields: created_at, updated_at, title, slug, is_active.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Query Parameters

page?string

Page number.

per_page?string

Items per page, up to 100.

sort_by?string

Sort field.

sort_direction?string

Sort direction: asc or desc.

include?string

Comma-separated includes. Supported: event_types, user.

is_active?string

Filter by is_active.

search?string

Filter by search.

Response Body

Successful response

application/json
  1. response
data?array<>
meta?
[key: string]?any
Example Request
curl -X GET 'https://api.agiled.ai/public/v1/booking-pages'
Example Response
{  "data": [    {      "created_at": "string",      "id": "string",      "updated_at": "string"    }  ],  "meta": {    "current_page": 0,    "last_page": 0,    "per_page": 0,    "total": 0  }}